Bulk restart agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_restart
  • POST /s/{space_id}/api/fleet/agents/bulk_restart
Auth

Restart multiple Elastic Agents. Agents that are enrolled in a hosted policy or are on a version earlier than 9.6.0 are excluded from the action and receive individual error results.

Required authorization

Privileges fleet-agents-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
batchSize number · min: 1
includeInactive boolean · default: false

Responses

OK: A successful request.

application/json
Any of:
actionId string required

A bad request.

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}